---
const { coverImage, minWidth, height } = Astro.props;
const localImageUrl = `url(/assets/landing-page/${coverImage})`;
const minWidthStyle = minWidth ? minWidth : "max-content"
const heightStyle = height ? height : "230px";
---

<div
  class="educational_item">
</div>

<style define:vars={{ localImageUrl, minWidthStyle, heightStyle }}>
  .educational_item {
    min-width: var(--minWidthStyle);
    height: var(--heightStyle);
    border-radius: .5rem;
    flex: 1;
    background-color: #303030;
    background-image: var(--localImageUrl);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
  }
</style>
